@import url('https://fonts.googleapis.com/css2?family=Inter:wght@100..900&family=Karla:ital,wght@0,200..800;1,200..800&display=swap');

:root {
    --font-inter: "Inter", sans-serif;
    --font-karla: "Karla", sans-serif;
    --primary-clr: #0658CB;
    --blue-044: #0449A8;
    --light-blue: #4D97FF;
    --dark-blue: #0E2640;
    --dark-blk: #010B19;
    --light-grey: #536A82;
    --text-333: #333;
}

body {
    position: relative;
    background: #fff;
}

.pad-100 {
    padding-block: 100px;
}

h1,
h2,
h3,
h4,
h5,
p {
    margin-bottom: 0;
}

ul {
    margin-bottom: 0px;
    padding: 0px;
}

li {
    list-style-type: none;
}

a {
    text-decoration: none;
    color: white;
}

.bg-111 {
    background: var(--bg-111);
}

button,
textarea,
input {
    border: 0;
    outline: none;
}

.flex {
    display: flex;
}

.item-center {
    align-items: center;
}

.justify-center {
    justify-content: center;
}

.flex-box {
    display: flex;
    justify-content: center;
    align-items: center;
}

img {
    width: auto;
}

.sec-heading {
    font-size: 40px;
    font-weight: 700;
    line-height: 48px;
    margin-bottom: 16px;
    color: var(--dark-blue);
    font-family: var(--font-inter);
}

.sec-heading span {
    color: var(--blue-044);
}

.sec-para {
    font-family: var(--font-karla);
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
    color: var(--dark-blue);
}

.img-fill {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.cmn-btn {
    box-shadow: 0px 4px 15px 0px #0000001A;
    border-radius: 10px;
    min-height: 46px;
    font-size: 15px;
    font-weight: 500;
    font-family: var(--font-karla);
    color: white;
    transition: .3s linear;
    padding: 0 31px;
}

.cmn-btn .icon {
    width: 0;
    opacity: 0;
    transition: .3s;
    transform: translateX(15px);
    margin-left: 0;
    font-size: 18px;
}

.cmn-btn:hover .icon {
    width: 15px;
    opacity: 1;
    margin-left: 12px;
    transform: translateX(0);
}

.dark-btn {
    background: #010D19;
}

.dark-btn:hover {
    background: var(--primary-clr);
    color: white;
}

.white-btn {
    background: #fff;
    color: var(--blue-044);
}

.white-btn:hover {
    background: #010D19;
    color: white;
}

.bg-sky {
    background: #F2F8FF;
}

.fixed-width {
    margin: auto;
    max-width: 1500px;
    position: relative;
}

/* ---navbar-- */

#navbar {
    padding-block: 25px;
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 9;
    transition: .2s linear;
}

.navbar {
    padding: 5px 0;
}

.navbar-scrolled {
    box-shadow: 0px 4px 15px 0px #0000001A;
    background: white;
}

.nav-links ul {
    gap: 36px;
}

.nav-link-item a {
    font-size: 15px;
    font-weight: 400;
    line-height: 17px;
    text-align: center;
    color: var(--text-333);
    font-family: var(--font-karla);
}

.nav-link-item a.active,
.nav-link-item a:hover,
.ft-link-nav a:hover {
    color: var(--blue-044);
}

.auth-btn a {
    min-width: 177px;
}

.right-actions .nav-links {
    gap: 36px;
}

/* --Hero Section-- */
.hero-area {
    height: 626px;
    padding-top: 127px;
    padding-bottom: 20px;
}

.left-hero-col {
    flex-direction: column;
    height: 100%;
    justify-content: center;
    align-items: flex-start;
}

.hero-btn a {
    min-width: 275px;
}

.hero-greet {
    margin-bottom: 16px;
    font-family: var(--font-karla);
    font-size: 20px;
    font-weight: 500;
    line-height: 23px;
    color: var(--text-333);
}


.hero-greet span {
    color: var(--blue-044);
    position: relative;

}

.hero-greet span::after {
    width: 75px;
    height: 2px;
    background: var(--blue-044);
    content: ' ';
    position: absolute;
    right: -80px;
    bottom: 5px;
}

.hero-heading {
    margin-bottom: 30px;
    max-width: 563px;
    font-family: var(--font-inter);
    font-size: 52px;
    font-weight: 700;
    line-height: 66px;
    letter-spacing: -0.01em;
    color: #0E2340;
}

.hero-container-outer::before {
    content: ' ';
    position: absolute;
    background: url('../assets/images/curve-line.svg') no-repeat;
    background-position: top 30% center;
    height: 100%;
    width: 100%;
    top: 50%;
    left: 47%;
    transform: translate(-50%, -50%);
}

.hero-container-outer::after {
    content: ' ';
    position: absolute;
    background: url('../assets/images/triangle-art.svg') no-repeat;
    background-position: bottom 0 center;
    height: 100%;
    width: 50%;
    bottom: 22%;
    right: 35%;
    z-index: 0;
}

.hero-heading span {
    color: var(--blue-044);
}

.header-img {
    max-height: 433px;
    max-width: 521px;
}

.right-hero-col {
    justify-content: flex-end;
}

.side-art {
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
}

.hero-container-outer .row {
    position: relative;
    z-index: 2;
}

/* ---about section-- */
.abt-right-col {
    max-width: 525px;
    margin-left: auto;
}

.abt-container-outer {
    padding: 110px 0 112px;

}

.abt-container-outer {
    background: url('../assets/images/abt-bg.png') no-repeat;
    background-size: cover;
    background-position: center;
}


.para-wrapper p {
    margin-bottom: 0;
}

.para-wrapper p:not(:last-of-type) {
    margin-bottom: 13px;
}

.counter-inner {
    font-family: var(--font-karla);
    position: relative;
}

.counter-inner:not(:last-of-type)::after {
    content: ' ';
    position: absolute;
    background: #8D9EB0;
    width: 2px;
    height: 100%;
    top: 50%;
    transform: translateY(-50%);
    right: -50px;
    opacity: 50%;
}


.counter-inner h3 {
    font-size: 32px;
    font-weight: 700;
    line-height: 37px;
    color: #0E2340;
    width: fit-content;
    position: relative;
}


.counter-inner span {
    font-size: 15px;
    font-weight: 400;
    line-height: 20px;
    color: var(--light-grey);
    margin-top: 6px;
}

.counter-wrapper {
    gap: 100px;
}

.portfolio-counter {
    margin-top: 30px;
}

.counter-inner h3::after {
    content: '+';
    position: absolute;
    top: -6px;
    right: -13px;
    font-size: 20px;
}

.abt-left-col {
    filter: drop-shadow(0px 4px 15px #0000001A);
}

/* ---services section--- */

.srvc-left-col {
    max-width: 330px;
}

.srvc-left-col .auth-btn {
    margin-top: 30px;
}

.srvc-container::before {
    content: ' ';
    position: absolute;
    height: 100%;
    width: 100%;
    background: url("../assets/images/gear-icon.svg") no-repeat;
    background-position: left bottom -30px;
    left: 0;
    bottom: 0;
    pointer-events: none;
    user-select: none;
}

.card-main {
    padding: 24px;
    border-radius: 15px;
    background: white;
    box-shadow: 0px 5px 20px 0px #00000026;
    display: flex;
    gap: 18px;
    transition: all .5s ease;
    border: 2px solid transparent;
}

.card-main:hover {
    border: 2px solid var(--blue-044);
    box-shadow: 0px 3px 40px 0px #0449A833;
}

.card-wrapper {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 30px;
}

.card-main .icon {
    min-width: 58px;
    height: 58px;
    position: relative;
}

.card-main .icon .hover-icon-sub {
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0;
    transition: all .5s ease;
}

.card-main:hover .icon .hover-icon {
    opacity: 0;
    transition: all .5s ease;
}

.card-main:hover .icon .hover-icon-sub {
    opacity: 1;
}

.card-main .content {
    font-family: var(--font-karla);
}

.card-main .title {
    font-size: 20px;
    font-weight: 700;
    line-height: 24px;
    letter-spacing: -0.01em;
    color: var(--dark-blue);
}

.card-main .info {
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
    color: var(--light-grey);
    margin-top: 8px;
}

.img-wrapper>.img-card {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    border-radius: 20px;
    transition: .3s ease;
    filter: drop-shadow(0px 4px 15px #0000001A);
    border: 2px solid transparent;
}

.img-wrapper>.img-card:hover {
    border: 2px solid var(--blue-044);
    filter: drop-shadow(0px 4px 15px #00000033);
}

.img-wrapper>.img-card>* {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition-duration: 1s;
}

.img-wrapper {
    display: grid;
    grid-gap: 15px;
    grid-template-columns: repeat(auto-fit, minmax(219px, 1fr));
    grid-auto-rows: 240px;
    grid-auto-flow: dense;
}

.gallery-container .sec-heading {
    margin-bottom: 40px;
}

.gallery-container .container {
    padding-block: 10px;
}

/* ---footer---- */

.footer {
    background: var(--dark-blk);
    color: white;
    padding: 50px 0;
}

.logo-col p {
    font-family: var(--font-inter);
    font-size: 20px;
    font-weight: 700;
    line-height: 30px;
    letter-spacing: 0.01em;
    margin-top: 14px;
}

.logo-col p span {
    color: var(--light-blue);
}

.divider {
    height: 40px;
    position: absolute;
    width: 100%;
    left: 0;
    bottom: 130px;
}

.divider .line {
    content: ' ';
    position: absolute;
    width: 100%;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    opacity: 50%;
    background: white;
    height: 1px;
}

.scr-top-btn {
    position: absolute;
    border-radius: 50%;
    --sz: 40px;
    width: var(--sz);
    height: var(--sz);
    border: 1px solid white;
    overflow: hidden;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: var(--dark-blk);
    transition: .5s ease;
    cursor: pointer;
}

.scr-top-btn:hover {
    background: var(--blue-044);
}

.scr-top-btn:hover .icon {
    animation: 1.5s arrowMovement 0s normal;
}

@keyframes arrowMovement {
    0% {
        transform: rotate(0) translate(0, -3px);
    }

    20% {
        transform: rotate(-32deg) translate(0);
    }

    40% {
        transform: rotate(-50deg) translate(0, -10px);
    }

    80% {
        transform: rotate(-195deg) translate(35px, -15px);
    }

    90% {
        transform: rotate(-336deg) translate(10px, 30px);
    }

    97% {
        transform: rotate(-360deg) translate(0, 10px);
    }

    100% {
        transform: rotate(-360deg) translate(0, 0px);
    }

}

.scr-top-btn::after {
    content: ' ';
    position: absolute;
    top: 40%;
    left: 50%;
    transform: translate(-54%, -50%);
    width: 2px;
    height: 12px;
    border-radius: 50px;
    background: white;
    opacity: 0;
    margin-top: 1px;
}

.scr-top-btn:hover::after {
    animation: 1s fadeIn 1.5s forwards;
}

@keyframes fadeIn {
    100% {
        top: 50%;
        opacity: 1;
    }
}

.ft-footer {
    margin-top: 100px;
}

.copyright-col {
    font-family: var(--font-karla);
    font-size: 12px;
    font-weight: 400;
    line-height: 14px;
    opacity: 60%;
}

.copyright-col a {
    margin-left: 12px;
    position: relative;
    display: inline-block;
}

.copyright-col a::before {
    content: ' ';
    position: absolute;
    height: 65%;
    width: 1px;
    background: white;
    left: -7px;
    top: 50%;
    transform: translateY(-50%);
}

.copyright-col a:hover {
    color: var(--light-blue);
}

.ft-footer {
    justify-content: space-between;
}

.socials-col {
    border-radius: 14px;
    background: #FFFFFF1A;
    padding: 10px 22px;
    justify-content: space-between;
    gap: 38px;
    transition: .3s ease;
}

.socials-col h4 {
    font-family: var(--font-inter);
    font-size: 18px;
    font-weight: 700;
    line-height: 30px;
    letter-spacing: 0.01em;
    color: var(--light-blue);
    transition: .3s ease;

}

.socials-col .handles {
    gap: 16px;
}

.socials-col .handles a {
    /* color: white; */
    border-radius: 50%;
    width: 28px;
    height: 28px;
    background: #010D19;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
}

.socials-col .handles a.fb {
    background: url('../assets/images/fb.png') no-repeat;
    background-position: center;
}

.socials-col .handles a.insta {
    background: url('../assets/images/instagram.png') no-repeat;
    background-position: center;
}

.socials-col .handles a.ldn {
    background: url('../assets/images/linkedin.png') no-repeat;
    background-position: center;
}

.socials-col .handles a.twt {
    background: url('../assets/images/twitter.png') no-repeat;
    background-position: center;
}

.socials-col .handles a::after {
    content: ' ';
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    opacity: 0;
    transition: .3s ease;
}

.socials-col .handles a.fb::after {
    background: url('../assets/images/fb-sub.png') no-repeat;
    background-position: center;
}

.socials-col .handles a.insta::after {
    background: url('../assets/images/instagram-sub.png') no-repeat;
    background-position: center;
}

.socials-col .handles a.ldn::after {
    background: url('../assets/images/linkedin-sub.png') no-repeat;
    background-position: center;
}

.socials-col .handles a.twt::after {
    background: url('../assets/images/twitter-sub.png') no-repeat;
    background-position: center;
}

.socials-col:hover {
    background: #fff;
}

.socials-col:hover h4 {
    color: #010D19;
}

.socials-col:hover .handles a::after {
    opacity: 1;
}

.ft-link-col .link-title {
    font-family: var(--font-inter);
    font-size: 20px;
    font-weight: 700;
    line-height: 30px;
    letter-spacing: 0.01em;
    color: var(--light-blue);
    margin-bottom: 8px;
    display: block;
}

.ft-link-col .ft-inr-col {
    padding-inline: calc(61px - 24px) 0;
}

.ft-link-col .ft-inr-col:nth-of-type(1) .link-listing {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 0 46px;
}

.ft-link-col .link-listing li,
.ft-link-col .link-listing a {
    font-family: var(--font-karla);
    font-size: 15px;
    font-weight: 400;
    line-height: 20px;
    transition: .2s ease;
}

.ft-link-col .link-listing li {
    margin-bottom: 8px;
}

.ft-link-col .link-listing a:hover {
    color: var(--blue-044);
}

/* ---Get in touch--- */
.git-area {
    padding: 110px 0px;
}

.git-card {
    background:var(--blue-044);
    border-radius: 30px;
    overflow: hidden;
    box-shadow: 0px 4px 15px 0px #0000001A;
    color: white;
    position: relative;
    padding: 52px 70px;
}

.git-card::after {
    content: ' ';
    position: absolute;
    width: 100%;
    height: 100%;
    background: url('../assets/images/in-touch-bg.svg') no-repeat;
    background-size: contain;
    background-position: right;
    top: 0;
    right: 0;
    pointer-events: none;
}

.git-card .white-btn .icon {
    color: white;
}

.git-card .left-content {
    max-width: 456px;
}

.git-card .left-content .auth-btn {
    justify-content: flex-start;
}

.git-card .left-content .sec-heading {
    color: white;
    margin-bottom: 13px;
}

.git-card .left-content p {
    font-family: var(--font-karla);
    font-size: 24px;
    font-weight: 400;
    line-height: 29px;
    margin-bottom: 24px;
}

.floating-icon {
    position: absolute;
    right: 0;
    z-index: 1;
    background: white;
    border-radius: 50%;
    height: 64px;
    width: 64px;
    top: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: 0px 4px 25px 0px #00000026;
}

.mail-icon.floating-icon {
    right: 269px;
    top: 42px;
}

.mail-icon.floating-icon:hover img {
    animation: mailIcon .8s ease forwards;
}

.location-icon.floating-icon {
    right: 418px;
    top: 200px;
}

.location-icon.floating-icon::after {
    content: ' ';
    position: absolute;
    bottom: 22%;
    left: 50%;
    transform: translateX(-50%);
    height: 3px;
    width: 15px;
    background: var(--blue-044);
    border-radius: 50%;
    opacity: 0;
    transition: 1s ease;
}

.location-icon.floating-icon:hover img {
    animation: locationIcon .8s ease forwards;
}

.location-icon.floating-icon:hover::after {
    animation: shadowFade .8s ease forwards;
}

.call-icon.floating-icon {
    right: 358px;
    top: 104px;
}

.call-icon.floating-icon::after {
    content: ' ';
    position: absolute;
    background: transparent;
    top: -2px;
    left: 2px;
    transform: translate(-50%, -50%) rotate(45deg);
    z-index: 2;
    width: 80px;
    height: 80px;
    border-radius: 50%;
    border: 10px solid transparent;
    border-top-color: var(--blue-044);
    scale: .2;
}

.call-icon.floating-icon::before {
    content: ' ';
    position: absolute;
    background: transparent;
    top: -3px;
    left: 3px;
    transform: translate(-50%, -50%) rotate(45deg);
    z-index: 2;
    width: 89px;
    height: 80px;
    border-radius: 50%;
    border: 10px solid transparent;
    border-top-color:var(--blue-044);
    scale: .25;
}

.call-icon.floating-icon:hover::after {
    animation: callIcon .8s ease forwards;
}

.call-icon.floating-icon:hover::before {
    animation: callIcon2 .8s ease forwards;
}

@keyframes mailIcon {
    0% {
        transform: rotate(0);

    }

    50% {
        transform: rotate(-30deg);

    }

    100% {
        transform: rotate(30deg);
    }
}

@keyframes locationIcon {
    0% {
        transform: translateY(0);

    }

    100% {
        transform: translateY(-3px);
    }
}

@keyframes shadowFade {
    0% {
        opacity: 0;
    }

    100% {
        opacity: .4;
    }
}

@keyframes callIcon {
    0% {
        opacity: 1;
    }

    50% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@keyframes callIcon2 {
    0% {
        opacity: 1;
    }

    70% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

/* ----Client section--- */

.card-inner {
    border-radius: 16px;
    background: white;
    padding: 24px;
    box-shadow: 0px 3px 10px 0px #0000001A;
    position: relative;
}

.card-content p {
    font-family: var(--font-karla);
    font-size: 15px;
    font-weight: 400;
    line-height: 20px;
    color: var(--light-grey);
    margin-bottom: 18px;
}

.client-desc .card-title {
    font-size: 20px;
    font-weight: 700;
    line-height: 23px;
    margin-bottom: 2px;
    color: var(--dark-blue);
    font-family: var(--font-karla);
}

.client-desc p {
    font-family: var(--font-karla);
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
    color: var(--light-grey);
}

/* --slick- start-- */
.quote-icon {
    position: absolute;
    bottom: 24px;
    right: 24px;
}

.slick-dotted.slick-slider {
    margin-bottom: calc(65px + (24px - 15px));
}

.slick-slide {
    padding: 0 15px;
}

.slick-dots {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    bottom: -50px;
    left: 12px;
}

.slick-arrow {
    right: 0;
    background: transparent;
    z-index: 4;
    height: 50px;
    width: 50px;
    top: 100%;
    border-radius: 50%;
    transform: translateY(15px);
    transition: background .1s linear;
}

.slick-arrow:hover {
    background: var(--primary-clr);
}

.slick-prev {
    right: 70px;
    left: unset;
}

.slick-list {
    padding-block: 15px;
}

.slick-prev:before {
    content: url('../assets/images/left-arrow.svg');
    opacity: 1;
    transition: all .1s linear;

}

.slick-prev:hover::before {
    content: url('../assets/images/left-arrow-active.svg');
}

.slick-next:before {
    content: url('../assets/images/right-arrow.svg');
    opacity: 1;
    transition: all .1s linear;
}

.slick-next:hover::before {
    content: url('../assets/images/right-arrow-active.svg');
}

.slick-dots .slick-active {
    width: 38px;
}

.slick-dots li {
    margin: 0;
    margin-right: 4px;
    transition: .3s ease;
    display: flex;
    align-items: center;
    justify-content: center;
}

.slick-dots li button:before {
    display: none;
}

.slick-dots li button {
    transition: .3s ease;
    background: var(--blue-044);
    border-radius: 20px;
    height: 12px;
    width: 12px;
    opacity: 30%;
}

.slick-dots li.slick-active button {
    width: 38px;
    opacity: 1;
}

.slick-disabled.slick-arrow:hover {
    background-color: transparent;
}

.slick-disabled.slick-prev:before {
    content: url('../assets/images/left-arrow.svg');
}

.slick-disabled.slick-next:before {
    content: url('../assets/images/right-arrow.svg');
}

/* --slick end-- */
.ham-btn {
    display: none;
}

.overlay {
    position: fixed;
    top: 107px;
    left: 0;
    background: #000000;
    opacity: 0;
    height: 100%;
    width: 100%;
    z-index: 1;
    transition: .2s ease;
    pointer-events: none;
    z-index: 4;
}

.overlay.active {
    opacity: .7;
    pointer-events: auto;
}

.slick-prev.slick-disabled:before,
.slick-next.slick-disabled:before {
    opacity: 1;
}

.body-overflow {
    overflow: hidden;
}

/* ---contact modal--- */

.contact-modal-content .modal-title {
    font-family: var(--font-inter);
    font-size: 36px;
    font-weight: 700;
    line-height: 43px;
    color: #0E2340;
}

.contact-modal-content.modal-content {
    border: 0;
    border-radius: 20px;
}

.contact-modal-content .modal-header {
    border: 0;
    padding: 30px 40px 24px;
}

.contact-modal-content .modal-body {
    padding: 0 40px;
}

.contact-form .input-field {
    width: 100%;
    border: 2px solid #E9EBEE;
    border-radius: 10px;
    height: 55px;
    padding: 0 20px;
    font-family: var(--font-karla);
    font-size: 18px;
    font-weight: 400;
    transition: .3s linear;
}

.contact-form .input-field:hover,
.contact-form .input-field:focus {
    border-color: #0658CB;
}

.contact-form .input-field::placeholder {
    color: #8D9CB0;
}

.field-group {
    display: flex;
    gap: 16px;
}

.contact-form .field-group .input-block {
    max-width: calc(50% - 8px);
    flex-basis: calc(50% - 8px);
}

.contact-form .input-block {
    margin-bottom: 16px;
}

.contact-form textarea.input-field {
    resize: none;
    min-height: 150px;
    padding-top: 10px;
}

.contact-form {
    padding-bottom: 30px;
}

.form-btn-box button {
    min-width: 200px;
    min-height: 55px;
    font-size: 20px;
    font-weight: 700;
    line-height: 23px;
}

.contact-mdl-dialog {
    max-width: 594px;
    padding: 0 12px;
}


.contact-modal-content .btn-close:focus {
    outline: 0;
    box-shadow: none;
    opacity: 1;
}

.help-block {
    color: red;
    font-size: 13px;
    display: block;
    margin-bottom: -4px;
    padding-left: 3px;
    margin-top: 1px;
    font-family: var(--font-karla);
}

/* --Media Query-- */

@media screen and (min-width:1400px) {
    .hero-container-outer::after {
        bottom: 17%;
        right: 38%;
    }

    .hero-container-outer::before {
        left: 42%;
    }

    .abt-right-col {
        max-width: 575px;
    }

    .img-wrapper {
        grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
        grid-auto-rows: 250px;
    }
}

@media screen and (max-width:1199px) {
    .srvc-right-col {
        margin-top: 50px;
        z-index: 1;
        position: relative;
        margin-bottom: 20px;
    }

    .srvc-left-col {
        max-width: 680px;
        text-align: center;
        margin-inline: auto;
    }

    .srvc-left-col .auth-btn {
        justify-content: center;
    }

    .srvc-container::before {
        background-position: left -40px bottom -30px;
        background-size: 22%;
    }

    .git-card::after {
        right: -100px;
    }

    .mail-icon.floating-icon {
        right: 169px;
    }

    .call-icon.floating-icon {
        right: 258px;
    }

    .location-icon.floating-icon {
        right: 318px;
    }
}

@media screen and (max-width:991px) {
    .abt-container-outer {
        padding: 90px 0;
    }

    .pad-100 {
        padding-block: 90px;
    }

    .right-actions {
        position: fixed;
        right: -250px;
        background: white;
        width: 250px;
        top: 107px;
        transition: 0.3s ease;
        overflow-y: auto;
        overflow-x: hidden;
        height: calc(100vh - 107px);
    }

    .navbar.active .right-actions {
        right: 0;
    }

    .right-actions .nav-links {
        flex-direction: column;
        gap: 0;
        padding-top: 15px;
    }

    .ham-btn {
        display: block;
        width: 22px;
        cursor: pointer;
    }

    .ham-btn span {
        display: block;
        height: 2px;
        background: var(--dark-blk);
        border-radius: 50px;
        transition: .2s ease;
    }

    .ham-btn span:nth-of-type(2) {
        margin: 5px 0;
    }

    .ham-btn.open span:nth-of-type(1) {
        transform: translate(0px, 5px) rotate(45deg);
    }

    .ham-btn.open span:nth-of-type(2) {
        opacity: 0;
    }

    .ham-btn.open span:nth-of-type(3) {
        transform: translate(0px, -8.5px) rotate(-45deg);
    }

    .nav-links ul {
        flex-direction: column;
        width: 100%;
        gap: 0;
    }

    .auth-btn a {
        margin-left: 0;
    }

    .nav-link-item {
        width: 100%;
    }

    .nav-link-item a {
        padding: 10px 20px;
        display: inline-block;
        width: 100%;
    }

    .right-actions .auth-btn {
        justify-content: center;
        width: 100%;
        margin-top: 15px;
    }

    .hero-heading {
        font-size: 40px;
        line-height: 51px;
    }

    .right-hero-col {
        margin-top: 50px;
        justify-content: center;
    }

    .header-img {
        max-width: 441px;
    }

    .hero-area {
        height: auto;
        padding-top: 107px;
        padding-bottom: 70px;
    }

    .side-art img {
        max-width: 150px;

    }

    .side-art {
        top: 40%;
    }

    .abt-left-col img {
        width: 80%;
    }

    .hero-greet {
        margin-bottom: 10px;
        font-size: 17px;
        line-height: 19px;
    }

    .abt-left-col {
        text-align: center;
    }

    .abt-right-col {
        max-width: unset;
        margin-top: 50px;
    }

    .abt-right-col .sec-heading {
        text-align: center;
    }

    .counter-wrapper {
        gap: 150px;
        justify-content: center;
    }

    .counter-inner:not(:last-of-type)::after {
        right: -75px;
    }

    .sec-heading {
        font-size: 35px;
        line-height: 40px;
    }

    .card-main {
        height: 180px;
        gap: 10px;
    }

    .card-main .icon {
        min-width: 50px;
    }

    .card-main .icon img {
        width: 100%;
    }

    .ft-link-col {
        margin-top: 30px;
    }

    .ft-link-col .ft-inr-col {
        padding-inline: 12px;
    }

    .ft-link-col .ft-inr-col:nth-of-type(1) .link-listing {
        gap: 0 33px;
    }

    .ft-footer {
        flex-direction: column;
        gap: 20px;
        align-items: flex-start;
    }

    .divider {
        bottom: 170px;
    }

    .git-card::after,
    .floating-icon {
        display: none;
    }

    .git-card .left-content {
        max-width: unset;
        text-align: center;
    }

    .git-card .left-content .auth-btn {
        justify-content: center;
    }

    .git-area {
        padding: 90px 0px;
    }

    .slick-slide {
        padding: 0 10px;
    }
}

@media screen and (max-width:767px) {
    .inner-sec-area.client-area {
        padding: 50px 0 20px;
    }

    .slick-dots {
        bottom: -35px;
    }

    .slick-dotted.slick-slider {
        margin-bottom: calc(55px + (24px - 15px));
    }

    .ft-link-col .ft-inr-col:not(:last-of-type) {
        margin-bottom: 13px;
    }

    .ft-link-col .ft-inr-col:nth-of-type(1) .link-listing {
        grid-template-columns: repeat(1, 1fr);
    }


    .hero-area {
        height: auto;
        padding-top: 107px;
        padding-bottom: 50px;
    }

    .hero-container-outer::before {
        display: none;
    }

    .hero-container-outer::after {
        bottom: 70%;
        right: 1%;
    }

    .hero-heading {
        text-align: center;
    }

    .left-hero-col {
        align-items: center;
    }

    .card-wrapper {
        grid-template-columns: repeat(1, 1fr);
        gap: 25px;
    }

    .card-main {
        height: auto;
        gap: 21px;
    }

    .git-card {
        border-radius: 20px;
        padding: 40px;
    }

    .git-card .left-content p {
        font-size: 21px;
        line-height: 26px;
        margin-bottom: 18px;
    }

    .git-area {
        padding: 70px 0px;
    }
}

@media screen and (max-width:575px) {
    .logo img {
        max-height: 40px;
    }

    .hero-container-outer::after {
        bottom: 70%;
        background-size: 55px;
    }

    #navbar {
        padding-block: 15px;
    }

    .overlay {
        top: 80px;
    }

    .right-actions {
        top: 80px;
        height: calc(100vh - 80px);
    }

    .hero-greet {
        margin-left: -75px;
    }

    .hero-greet span::after {
        width: 65px;
        right: -75px;
    }

    .header-img {
        max-width: 361px;
    }

    .counter-wrapper {
        gap: 100px;
    }

    .counter-inner:not(:last-of-type)::after {
        right: -50px;
    }

    .abt-container-outer,
    .pad-100 {
        padding: 70px 0;
    }

    .sec-heading {
        font-size: 30px;
        line-height: 33px;
    }

    .abt-left-col img {
        width: 90%;
    }

    .card-main .title {
        font-size: 16px;
        line-height: 20px;
    }

    .card-main .info {
        font-size: 14px;
        line-height: 17px;
        margin-top: 4px;
    }

    .card-main .icon {
        min-width: unset;
        max-width: 35px;
        width: 100%;
    }

    .card-main {
        gap: 15px;
        padding: 21px;
        border-radius: 13px;
    }

    .srvc-container::before {
        background-position: left 0 bottom 0px;
        background-size: 30%;
    }

    .gallery-container .sec-heading {
        margin-bottom: 25px;
    }

    .img-wrapper {
        grid-gap: 12px;
        grid-template-columns: repeat(auto-fit, minmax(145px, 1fr));
        grid-auto-rows: 170px;
    }

    .img-wrapper>.img-card {
        border-radius: 13px;
    }

    .socials-col h4 {
        font-size: 15px;
        line-height: 24px;
    }

    .socials-col {
        border-radius: 12px;
        padding: 7px 15px;
    }

    .socials-col .handles a {
        width: 23px;
        height: 23px;
    }

    .socials-col .handles {
        gap: 13px;
    }

    .socials-col .handles a.fb,
    .socials-col .handles a.insta,
    .socials-col .handles a.ldn,
    .socials-col .handles a::after,
    .socials-col .handles a.twt {
        background-size: 99% !important;
    }

    .quote-icon img {
        max-width: 60px;
    }

    .git-area {
        padding: 50px 0px;
    }

    .contact-modal-content .modal-title {
        font-size: 23px;
        line-height: 30px;
    }

    .contact-modal-content .modal-header {
        border: 0;
        padding: 20px 30px 15px;
    }

    .contact-modal-content .modal-body {
        padding: 0 30px;
    }

    .contact-form .input-field {
        border-radius: 8px;
        height: 46px;
        padding: 0 13px;
        font-size: 14px;
    }

    .contact-form .input-block {
        margin-bottom: 11px;
    }

    .form-btn-box button {
        min-width: 200px;
        min-height: 46px;
        font-size: 16px;
    }

    .contact-form textarea.input-field {
        min-height: 110px;
        padding-top: 7px;
    }

    .contact-modal-content.modal-content {
        border: 0;
        border-radius: 10px;
    }

    .contact-mdl-dialog {
        padding: 0;
        margin-top: 10%;
    }

    .help-block {
        margin-bottom: 0px;
    }
}

@media screen and (max-width:480px) {
    .img-wrapper {
        grid-gap: 8px;
        grid-template-columns: repeat(auto-fit, minmax(145px, 1fr));
        grid-auto-rows: 170px;
    }

    .abt-container-outer,
    .pad-100 {
        padding: 50px 0;
    }

    .counter-wrapper {
        gap: 30px 66px;
        flex-wrap: wrap;
    }

    .sec-para {
        font-size: 15px;
        line-height: 22px;
    }

    .counter-inner h3 {
        font-size: 25px;
        line-height: 30px;
    }

    .counter-inner:not(:last-of-type)::after {
        right: -33px;
    }

    .header-img {
        max-width: 300px;
    }

    .side-art {
        top: 30%;
    }

    .side-art img {
        max-width: 140px;
    }

    .hero-greet {
        margin-bottom: 8px;
        font-size: 15px;
        line-height: 18px;
        margin-left: -55px;
    }

    .hero-greet span::after {
        width: 45px;
        right: -55px;
    }

    .hero-heading {
        font-size: 35px;
        line-height: 43px;
        margin-bottom: 25px;
    }

    .slick-dotted.slick-slider {
        margin-bottom: calc(40px);
    }

    .slick-dots {
        bottom: -40px;
    }

    .ft-link-col .link-listing li,
    .ft-link-col .link-listing a {
        font-size: 14px;
        line-height: 19px;
    }

    .ft-link-col .link-title {
        font-size: 18px;
        line-height: 25px;
        margin-bottom: 5px;
    }

    .divider {
        bottom: 170px;
    }

    .copyright-col {
        font-size: 10px;
        line-height: 13px;
    }

    .git-card .left-content p {
        font-size: 17px;
        line-height: 21px;
        margin-bottom: 18px;
    }

    .form-btn-box {
        margin-top: -6px;
    }

    .contact-modal-content .modal-body {
        padding: 0 20px;
    }

    .contact-modal-content .modal-header {
        border: 0;
        padding: 20px 20px 15px;
    }

    .field-group {
        flex-direction: column;
        gap: 0;
    }

    .contact-form .field-group .input-block {
        max-width: calc(100%);
        flex-basis: calc(100%);
    }

    .inner-sec-area.client-area {
        padding: 50px 0;
    }
}

@media screen and (max-width:420px) {
    .socials-col {
        flex-direction: column;
        align-items: flex-start;
        gap: 9px;
    }

    .form-btn-box button {
        min-width: 100%;
    }

    .git-card .left-content .sec-heading {
        font-size: 26px;
    }

    .git-card .left-content p {
        font-size: 15px;
        line-height: 17px;
        margin-bottom: 14px;
    }

    .ft-footer {
        gap: 30px;
    }

    .divider {
        bottom: 210px;
    }
}

@media screen and (max-width:375px) {
    .right-actions {
        right: -100%;
        width: 100%;
    }

    .git-card {
        padding: 30px 20px;
    }

}